Create a Credentials Session
Creates a new Credentials Session and returns a JSON object representing the newly created Credentials Session.
Authentication
Bearer tokens conform to the RFC6750 spec.
Production API keys (secret keys) are prefixed with tw_sk_ and sandbox keys are prefixed with tw_sk_test_. If your secret key is published, you should rotate your API keys.
Truework.JS publishable keys are prefixed with tw_pk_ and tw_pk_test respectively.
Examples
- For Authorization Headers:
Authorization: Bearer tw_sk_test_e508eb797edb95ade85284bcb54dd49ed45db1be - For the "try it now"
tokenfield, input only the token itself, omittingBearer.
Headers
Request
A valid purpose is required for Truework to process the verification request.
Throughout the API, this is signified by the permissible_purpose field.
The verification request use case describes the type of product the verification request is originating from. If omitted, the verifier type in account settings will be used as a default
A single level key-value JSON object that can be used to store custom data on the verification request. Keys and values must be strings.
Required for reseller requests, should not be provided for non-reseller requests.
Response headers
For JSON requests, the signature of the request, see: https://www.truework.com/docs/verifications-signatures